Skip to main content

Workspace External Service Principal

View as Markdown

A service principal from your identity provider (IdP), identified by its ID in your IdP. This resource is read-only and requires Microsoft Entra ID as your IdP. Getting an external service principal syncs its details and group memberships from your IdP, and adds it to your account if it isn't already there. To address an external service principal, put its resource name in the URL: GET /api/2.0/identity/accounts/{account_id}/external-service-principals/{external_service_principal_id} in account APIs, or GET /api/2.0/identity/external-service-principals/{external_service_principal_id} in workspace APIs.

ExternalServicePrincipal object​

A service principal from your identity provider (IdP), identified by its ID in your IdP. This resource is read-only and requires Microsoft Entra ID as your IdP. Getting an external service principal syncs its details and group memberships from your IdP, and adds it to your account if it isn't already there. To address an external service principal, put its resource name in the URL: GET /api/2.0/identity/accounts/{account_id}/external-service-principals/{external_service_principal_id} in account APIs, or GET /api/2.0/identity/external-service-principals/{external_service_principal_id} in workspace APIs.

namestringOutput onlyIDImmutable

The resource name of the external service principal, in one of these formats:

  • Account APIs: accounts/{account_id}/external-service-principals/{external_service_principal_id}
  • Workspace APIs: external-service-principals/{external_service_principal_id}
external_service_principal_idstringOutput only

The ID of the service principal in your IdP.

internal_idstringOutput only

The Databricks ID of the service principal. Use it as the service_principal_id in the service principal APIs.

application_idstringOutput only

The service principal's application ID, from your IdP.

display_namestringOutput only

The service principal's display name, from your IdP.

account_sp_statusstringOutput only

Whether the service principal is active in the account.

Values:

  • ACTIVE
  • INACTIVE
account_idstringOutput only

The ID of the account that contains the service principal.

Get an external service principal in the account GA​

GET /api/2.0/identity/{name=external-service-principals/*}

Gets a service principal by its ID in your identity provider (IdP) and syncs its details and group memberships from your IdP. If the service principal isn't in the account that contains this workspace yet, it's added. Requires automatic identity management with Microsoft Entra ID as your IdP.

API scopes: identity

Parameters​

namestringRequiredpath

The resource name of the external service principal, in the format external-service-principals/{external_service_principal_id}.

Example: external-service-principals/d4e6f8a0-1b3c-4d5e-9f7a-2c4e6a8b0d1f

Response​

Returns the ExternalServicePrincipal object.